summaryrefslogtreecommitdiffstats
path: root/network/udpcast/udpcast.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/udpcast/udpcast.SlackBuild')
-rw-r--r--network/udpcast/udpcast.SlackBuild16
1 files changed, 9 insertions, 7 deletions
diff --git a/network/udpcast/udpcast.SlackBuild b/network/udpcast/udpcast.SlackBuild
index ab3fded901..689dcdf1eb 100644
--- a/network/udpcast/udpcast.SlackBuild
+++ b/network/udpcast/udpcast.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for udpcast
-# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2007-2008 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=udpcast
-VERSION=20071228
+VERSION=20081116
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -55,16 +57,16 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
+ --localstatedir=/var \
--mandir=/usr/man \
- --localstatedir=/var
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;